package domain


type AlibabaWdkMerchantproductEditApiResult struct {
    /*
        请求是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        返回结果     */
    Model  *AlibabaWdkMerchantproductEditMerchantProductResponse `json:"model,omitempty" `

}

func (s *AlibabaWdkMerchantproductEditApiResult) SetSuccess(v bool) *AlibabaWdkMerchantproductEditApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkMerchantproductEditApiResult) SetErrCode(v string) *AlibabaWdkMerchantproductEditApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkMerchantproductEditApiResult) SetErrMsg(v string) *AlibabaWdkMerchantproductEditApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkMerchantproductEditApiResult) SetModel(v AlibabaWdkMerchantproductEditMerchantProductResponse) *AlibabaWdkMerchantproductEditApiResult {
    s.Model = &v
    return s
}
